Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class WorklistManagerConstants

    java.lang.Object
      com.bea.wli.worklist.api.WorklistManagerConstants

Deprecated. Used for back-compat with 8.1.x only, and should not be used for any new development.

    public class WorklistManagerConstants

extends Object

Constants that help us implement WorklistManager in terms of new Worklist TaskPlan functionality.

Field Summary
`static String` | `_81X_ACTION_ABORT` Deprecated.
`static String` | `_81X_ACTION_COMPLETE` Deprecated.
`static String` | `_81X_ACTION_SET_RESPONSE` Deprecated.
`static String` | `_81X_ACTION_START` Deprecated.
`static String` | `_81X_ACTION_STOP` Deprecated.
`static String` | `_81X_CONSTRUCTOR` Deprecated.
`static String` | `_81X_STEP_ABORTED` Deprecated.
`static String` | `_81X_STEP_COMPLETED` Deprecated.
`static String` | `_81X_STEP_READY` Deprecated.
`static String` | `_81X_STEP_STARTED` Deprecated.
`static Set<String>` | `GLOBAL_PROP_NAMES` Deprecated.
`static String` | `WORKLIST_GLOBAL_CAN_BE_ABORTED_PROP` Deprecated.
`static String` | `WORKLIST_GLOBAL_CAN_BE_REASSIGNED_PROP` Deprecated.
`static String` | `WORKLIST_GLOBAL_CAN_BE_RETURNED_PROP` Deprecated.
`static String` | `WORKLIST_GLOBAL_REQUEST_PROP` Deprecated.
`static String` | `WORKLIST_GLOBAL_RESPONSE_PROP` Deprecated.
`static String` | `WORKLIST_GLOBAL_TASK_PLAN_HOST_APP_ID` Deprecated.
`static TaskPlanId` | `WORKLIST_GLOBAL_TASK_PLAN_ID` Deprecated.

Constructor Summary
`WorklistManagerConstants()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_PROP_NAMES

    public static Set<String> GLOBAL_PROP_NAMES

  Deprecated.

### WORKLIST_GLOBAL_TASK_PLAN_HOST_APP_ID

    public static final String WORKLIST_GLOBAL_TASK_PLAN_HOST_APP_ID

  Deprecated.
  See Also:
    Constant Field Values

### WORKLIST_GLOBAL_TASK_PLAN_ID

    public static final TaskPlanId WORKLIST_GLOBAL_TASK_PLAN_ID

  Deprecated.

### WORKLIST_GLOBAL_REQUEST_PROP

    public static final String WORKLIST_GLOBAL_REQUEST_PROP

  Deprecated.
  See Also:
    Constant Field Values

### WORKLIST_GLOBAL_RESPONSE_PROP

    public static final String WORKLIST_GLOBAL_RESPONSE_PROP

  Deprecated.
  See Also:
    Constant Field Values

### WORKLIST_GLOBAL_CAN_BE_REASSIGNED_PROP

    public static final String WORKLIST_GLOBAL_CAN_BE_REASSIGNED_PROP

  Deprecated.
  See Also:
    Constant Field Values

### WORKLIST_GLOBAL_CAN_BE_RETURNED_PROP

    public static final String WORKLIST_GLOBAL_CAN_BE_RETURNED_PROP

  Deprecated.
  See Also:
    Constant Field Values

### WORKLIST_GLOBAL_CAN_BE_ABORTED_PROP

    public static final String WORKLIST_GLOBAL_CAN_BE_ABORTED_PROP

  Deprecated.
  See Also:
    Constant Field Values

### _81X_STEP_READY

    public static final String _81X_STEP_READY

  Deprecated.
  See Also:
    Constant Field Values

### _81X_STEP_STARTED

    public static final String _81X_STEP_STARTED

  Deprecated.
  See Also:
    Constant Field Values

### _81X_STEP_COMPLETED

    public static final String _81X_STEP_COMPLETED

  Deprecated.
  See Also:
    Constant Field Values

### _81X_STEP_ABORTED

    public static final String _81X_STEP_ABORTED

  Deprecated.
  See Also:
    Constant Field Values

### _81X_ACTION_ABORT

    public static final String _81X_ACTION_ABORT

  Deprecated.
  See Also:
    Constant Field Values

### _81X_ACTION_SET_RESPONSE

    public static final String _81X_ACTION_SET_RESPONSE

  Deprecated.
  See Also:
    Constant Field Values

### _81X_ACTION_STOP

    public static final String _81X_ACTION_STOP

  Deprecated.
  See Also:
    Constant Field Values

### _81X_ACTION_COMPLETE

    public static final String _81X_ACTION_COMPLETE

  Deprecated.
  See Also:
    Constant Field Values

### _81X_ACTION_START

    public static final String _81X_ACTION_START

  Deprecated.
  See Also:
    Constant Field Values

### _81X_CONSTRUCTOR

    public static final String _81X_CONSTRUCTOR

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### WorklistManagerConstants

    public WorklistManagerConstants()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD